/* General Styles */
body {
    font-family: "Montserrat", sans-serif;
    /* background-color: #A8DAEB; */
    margin: 0;
    padding: 0px;
    
}

.cover {
    padding-top: 30px;
    background-blend-mode: overlay;
    /* Combina el color y la imagen */
    background-color: rgba(255, 255, 255, 0.95);
    background-image: url('../assets/Elementos-1.png');
    background-repeat: repeat;
    background-size: 500px 200px;
}

form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px;
}

form h2 {
    font-size: 25px;
    margin: 40px;
}

header {
    position: relative;
    z-index: 100;
    box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.1);

    text-align: center;
    padding: 10px 0;
    background-color: #ffffff;
    border-bottom: 1px solid #ddd;
}

.logo-hapleo {
    height: 50px;
}

main {
    display: flex;
    gap: 20px;
    max-width: 850px;
    margin: 0px auto;
    background: #ffffff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0px -1px 9px rgba(0, 0, 0, 0.1);
}

.checkbox-container {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    color: red;

}


.checkbox-option {
    display: flex;
    align-items: center;
    gap: 0.5rem;

    font-size: 14px;
}


  
  .checkbox-option span {
    color: black;
  }
  
  
  input[type="radio"]:hover + span {
    
    color: #236826;
  
  }
  input[type="radio"]:checked + span {
    color: #4CAF50; 
  }

/* Form Page Styles */
.question-container {
    margin-top: 30px;
    padding: 0px 30px;
}

.question-container label {
    color: #0F5EDD;
}

input[type="radio"]:checked+label {
    color: #4CAF50;
    /* Cambia el color del texto */
    font-weight: bold;
    /* Opcional: resalta el texto seleccionado */
}

.titulo {
    display: flex;
    color: #333;
    padding: 10px 30px;
   font-size: 12px;
}
h2 {
    text-align: center;
    color: #333;
    margin-bottom: 15px;
}

label {
    display: block;
    margin-top: 15px;
    font-weight: bold;
    color: #555;
}

/* Dropdown Styles */
.dropdown-container {
    position: relative;
    margin-top: 10px;
    width: 100%;

}

.dropdown-input {
    width: 100%;
    padding: 20px 0px 20px 10px;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 5px;
    cursor: pointer;
    background-color: #fff;
}

.dropdown-icon {
    position: absolute;
    right: 15px;
    top: 30px;
    transform: translateY(-50%);
    color: #888;
    pointer-events: none;
}

.dropdown-options {
    position: absolute;
    top: 100%;
    left: 0;
    padding: 4px;
    width: 100%;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    display: none;
    z-index: 1000;
}

.dropdown-options.active {
    display: block;

}

.dropdown-option {
    padding: 20px 20px 20px 10px;

    cursor: pointer;
    font-size: 16px;
    color: #333;
}

.dropdown-option:hover {
    background-color: #f0f0f0;
}

/* Buttons */
button {
    
    font-weight: bolder;
    display: inline-block;
    background-color: #0056b3;
    color: #ffffff;
    padding: 15px 75px;
    border: none;
    width: 100%;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 50px;
    font-size: 16px;
    margin-bottom: 8px;
    font-family: 'Montserrat';
}

button:hover {
    background-color: #004494;
}
a.button {
    font-weight: bolder;
    display: inline-block;
    background-color: #0056b3;
    color: #ffffff;
    padding: 15px 75px;
    border: none;
    width: 50%;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 50px;
    font-size: 16px;
    margin-bottom: 8px;
    text-decoration: none;
    font-family: 'Montserrat';
}

.progress-bar-container {
    margin-top: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Estilos de la barra de progreso */
.phase {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100%;
    font-weight: bold;
    width: 35px;
    color: #333;
    height: 35px;
    border: 2px solid #25ED8D;
    color: #25ED8D;
}

.phaseoff {
    color: #aaa;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100%;
    font-weight: 700;
    width: 35px;
    height: 35px;
    border: 2px solid #898B8A;
}

.line {
    width: 55px;
    height: 2px;
    background-color: #0F5EDD;
}

.lineoff {
    width: 55px;
    height: 2px;
    background-color: #9C9B9C;
}
.button-container{
    display: flex;
    gap: 20px;
}
.button-page{
    background-color: transparent;
    width: 5%;
    border: 2px solid black;  
    font-weight: bolder;
    
   
    padding: 15px 75px;
    
    border-radius: 5px;
    cursor: pointer;
    margin-top: 50px;
    font-size: 16px;
    margin-bottom: 8px;
    font-family: 'Montserrat';  
}
.toastify {
    padding: 20px !important;
}


/* Media Queries */
@media (max-width: 768px) {
    .toastify {
        width: 300px !important;
    }
    
    .toastify span {
        font-size: 13px !important;
    }
    form h2 {
        font-size: 23px;
    }

    main {
        padding: 15px;
    }

    .dropdown-input {
        font-size: 14px;
    }

    .dropdown-option {
        font-size: 14px;
    }

    button {
        font-size: 14px;
        padding: 12px 12px;
    }
    .input-container .input {
        width: 95%;
       
    }
}